XmLStringDrawDirection(3X)

NAME
XmLStringDrawDirection - draws a string in the given direction

SYNTAX
void XmLStringDrawDirection(dpy, win, fontList, string, gc, x, y, width, alignment, layout_direction, drawing_direction)
Display *dpy;
Window win;
XmFontList fontList;
XmString string;
GC gc;
int x;
int y;
Dimension width;
unsigned char alignment;
unsigned char layout_direction;
unsigned char drawing_direction;

ARGUMENTS

dpy destination display

win destination window

fontList
    font list used to draw string

string
    string to draw

gc  graphics context for drawing

x   x position

y   y position

width
    width for alignment

alignment
    alignment

layout_direction
    layout direction for drawing

drawing_direction
    direction to draw

DESCRIPTION
Draws a string in the direction drawing_direction using the font list fontList and the GC gc in the window win on the display dpy. The string is drawn at the x and y location given. The width parameter is used solely for determining alignment. The alignment parameter must be one of: XmALIGNMENT_BEGINNING, XmALIGNMENT_CENTER or XmALIGNMENT_END. The layout_direction parameter is used to draw the string right or left for internationalization (see XmStringDraw). The drawing_direction parameter must be one of: XmSTRING_UP, XmSTRING_DOWN, XmSTRING_LEFT or XmSTRING_RIGHT.

SEE ALSO
XmLStringDraw(3x), XmLPixmapDraw(3X)